import { ApiRequest } from '../ApiRequest';
import { Schema$CustomFieldSubtype, Schema$CustomFieldValues, Schema$CustomFieldValuesEnum } from './CustomFieldsBag';
export declare class Account {
    apiRequest: ApiRequest;
    private url;
    constructor(apiRequest: ApiRequest);
    with(types?: WithType[]): Promise<import("gaxios").GaxiosResponse<any>>;
}
export declare type WithType = 'task_types' | 'note_types' | 'groups' | 'pipelines' | 'users' | 'custom_fields';
export interface Schema$CustomField {
    id: number;
    values: Schema$CustomFieldValues[] | Schema$CustomFieldValuesEnum[] | Schema$CustomFieldSubtype[];
}
