import { Schema$CustomField } from './Account';
export declare class CustomFieldsBag {
    private data;
    constructor();
    add(id: number, values: Schema$CustomFieldValues[]): void;
    addEnum(id: number, values: Schema$CustomFieldValuesEnum[]): void;
    addSubtype(id: number, values: Schema$CustomFieldSubtype[]): void;
    getById(id: number): Schema$CustomField | undefined;
    get all(): Schema$CustomField[];
}
export interface Schema$CustomFieldValues {
    value: number | string;
}
export interface Schema$CustomFieldValuesEnum extends Schema$CustomFieldValues {
    enum: string;
}
export interface Schema$CustomFieldSubtype extends Schema$CustomFieldValues {
    subtype: string;
}
export interface Schema$CustomFieldValuesMultiField {
    [index: number]: string | number;
}
