"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Event = void 0;
/**
 * @link https://www.amocrm.com/developers/content/api/notes
 */
class Event {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/events';
    }
    add(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.Event = Event;
//# sourceMappingURL=Event.js.map