import { Gaxios, GaxiosOptions } from 'gaxios';
import { Amocrm } from './Amocrm';
import TokenResolver = Amocrm.TokenResolver;
export declare class ApiRequest {
    private tokenResolver;
    gaxios: Gaxios;
    constructor(baseUrl: string, tokenResolver: TokenResolver);
    get(url: string, methodOpt?: GaxiosOptions): Promise<import("gaxios").GaxiosResponse<any>>;
    post(url: string, methodOpt?: GaxiosOptions): Promise<import("gaxios").GaxiosResponse<any>>;
    postAccessToken(url: string, methodOpt?: GaxiosOptions): Promise<import("gaxios").GaxiosResponse<any>>;
    makeOptions(url: string, method: GaxiosOptions['method']): Promise<GaxiosOptions>;
}
export interface Headers {
    Authorization: string;
}
