"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomFieldsBag = void 0;
class CustomFieldsBag {
    constructor() {
        this.data = [];
    }
    add(id, values) {
        this.data.push({ id, values });
    }
    addEnum(id, values) {
        this.data.push({ id, values });
    }
    addSubtype(id, values) {
        this.data.push({ id, values });
    }
    getById(id) {
        return this.data.reduce((prev, val) => {
            if (prev) {
                return prev;
            }
            if (val.id === id) {
                return val;
            }
            return prev;
        }, undefined);
    }
    get all() {
        return this.data;
    }
}
exports.CustomFieldsBag = CustomFieldsBag;
//# sourceMappingURL=CustomFieldsBag.js.map