import { Schema$CustomField } from './Account';
/**
 * TODO: fill fields;
 *
 * @link https://www.amocrm.com/developers/content/api
 *
 * @property {number} created_at Date and time the entity was created
 * @property {number} updated_at The date and time the entity was updated. Required when the entity is updated
 * @property {number} created_by id of the user who created the entity
 * @property {number} responsible_user_id id of the user responsible for the entity
 * @property {string} tags id of the user responsible for the entity
 */
export interface Schema$EntityParams {
    created_at?: number;
    updated_at?: number;
    created_by?: number;
    responsible_user_id?: number;
    /**
     * @property {string} tags id of the user responsible for the entity
     */
    tags?: string;
    custom_fields?: Schema$CustomField[];
}
/**
 * For the task, only the TASK_RESULT event type is available in NOTE
 */
export declare enum EntityType {
    Contact = 1,
    Lead = 2,
    Company = 3,
    Task = 4,
    Customer = 12
}
