/**
 * @property {number} id  Select the element with the given ID (If this parameter is specified, all the others are ignored). Can be sent as an array consisting of several IDs | Выбрать элемент с заданным ID (Если указан этот параметр, все остальные игнорируются). Можно передавать в виде массива состоящий из нескольких ID
 * @property {number} limit_rows Number of selectable rows (system limit 500) | Кол-во выбираемых строк (системное ограничение 498)
 * @property {number} limit_offset Shift the selection (from which row to choose). Works only if limit_rows is also specified | Сдвиг выборки(с какой строки выбирать).Работает, только при условии, что limit_rows тоже указан
 * @property {number} responsible_user_id Select the element by the responsible user (you can transfer the array with the user ID). | Выбрать элемент по ответственному пользователю(можно передавать массив с ID пользователей).
 * @property {string} query Search query (Searches for the filled fields of the entity). | Поисковый запрос(Осуществляет поиск по заполненным полям сущности).
 */
export interface Schema$GetListParams {
    id?: number;
    limit_rows?: number;
    limit_offset?: number;
    responsible_user_id?: number;
    query?: string;
}
