import { ApiRequest } from '../ApiRequest';
/**
 * TODO: not testing
 *
 * A transaction is an entity that describes the basic characteristics of a
 * purchase (date and amount). Is an addition for the "customer".
 *
 * @link https://www.amocrm.com/developers/content/api/customers
 */
export declare class Transaction {
    apiRequest: ApiRequest;
    private url;
    constructor(apiRequest: ApiRequest);
    list(params: Schema$TransactionGetListParams, modified?: string): Promise<import("gaxios").GaxiosResponse<any>>;
    add(params: Schema$TransactionAddParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
    /**
     * Method for adding and modifying the comment of an existing transaction.
     * If you change the comment of an existing transaction, the transaction
     * itself is not updated.
     *
     * @param params
     */
    update(params: Schema$TransactionUpdateParams[]): Promise<import("gaxios").GaxiosResponse<any>>;
    /**
     * @param {array} params An array with unique transaction IDs that are specified for deletion purposes
     */
    delete(params: number[]): Promise<import("gaxios").GaxiosResponse<any>>;
}
interface Schema$TransactionParams {
    /** Unique customer ID */
    customer_id?: number;
    /** Date of purchase */
    date?: number;
    /** Amount of the purchase made */
    price?: number;
    /** Comment for purchase */
    comment?: string;
    /** Expected date of purchase  */
    next_data?: number;
    /** Expected purchase amount */
    next_price?: number;
}
export interface Schema$TransactionAddParams extends Schema$TransactionParams {
}
export interface Schema$TransactionUpdateParams extends Schema$TransactionParams {
    /** Unique transaction identifier */
    transaction_id: number;
    /** Comment text  */
    comments: string;
}
export interface Schema$TransactionGetListParams {
    /** Select transaction with given id */
    id?: number;
    limit_rows?: number;
    limit_offset?: number;
    /** Select transaction that is tied to the customer with the specified id */
    customer_id?: number;
}
export {};
