"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Transaction = void 0;
/**
 * TODO: not testing
 *
 * A transaction is an entity that describes the basic characteristics of a
 * purchase (date and amount). Is an addition for the "customer".
 *
 * @link https://www.amocrm.com/developers/content/api/customers
 */
class Transaction {
    constructor(apiRequest) {
        this.apiRequest = apiRequest;
        this.url = '/api/v2/transactions';
    }
    list(params, modified) {
        const options = { params: { ...params } };
        if (modified) {
            options['headers'] = { 'IF-MODIFIED-SINCE': modified };
        }
        return this.apiRequest.get(this.url, options);
    }
    add(params) {
        const options = { data: { add: params } };
        return this.apiRequest.post(this.url, options);
    }
    /**
     * Method for adding and modifying the comment of an existing transaction.
     * If you change the comment of an existing transaction, the transaction
     * itself is not updated.
     *
     * @param params
     */
    update(params) {
        const options = { data: { update: params } };
        return this.apiRequest.post(this.url, options);
    }
    /**
     * @param {array} params An array with unique transaction IDs that are specified for deletion purposes
     */
    delete(params) {
        const options = { data: { delete: params } };
        return this.apiRequest.post(this.url, options);
    }
}
exports.Transaction = Transaction;
//# sourceMappingURL=Transaction.js.map